std::iterator_traits< mia::range3d_iterator_with_boundary_flag< I > > Class Template Reference

`#include <mia/3d/iterator.hh>`

## Public Types

typedef I::difference_type | difference_type
typedef forward_iterator_tag | iterator_category
typedef I::pointer | pointer
typedef I::reference | reference
typedef I::value_type | value_type

## Detailed Description

template<typename I>
class std::iterator_traits< mia::range3d_iterator_with_boundary_flag< I > >

Definition at line 443 of file 3d/iterator.hh.

## Member Typedef Documentation

## difference_type

template<typename I>

typedef I::difference_type std::iterator_traits< mia::range3d_iterator_with_boundary_flag< I > >::difference_type

Definition at line 446 of file 3d/iterator.hh.

## iterator_category

template<typename I>

typedef forward_iterator_tag std::iterator_traits< mia::range3d_iterator_with_boundary_flag< I > >::iterator_category

Definition at line 450 of file 3d/iterator.hh.

## pointer

template<typename I>

typedef I::pointer std::iterator_traits< mia::range3d_iterator_with_boundary_flag< I > >::pointer

Definition at line 448 of file 3d/iterator.hh.

## reference

template<typename I>

typedef I::reference std::iterator_traits< mia::range3d_iterator_with_boundary_flag< I > >::reference

Definition at line 449 of file 3d/iterator.hh.

## value_type

template<typename I>

typedef I::value_type std::iterator_traits< mia::range3d_iterator_with_boundary_flag< I > >::value_type

Definition at line 447 of file 3d/iterator.hh.

The documentation for this class was generated from the following file:

- 3d/iterator.hh